-# ruleid: alert-callout-class-haml-rb
= content_tag(:div, class: 'bs-callout bs-callout-warning')

%div
  - # ruleid: alert-class-haml
  .gl-alert
  - # ruleid: alert-class-haml
  %div{class: "i am a gl-alert too"}
  - # ruleid: alert-callout-class-haml-rb
  .bs-callout
  - # ruleid: alert-callout-class-haml-rb
  .bs-callout.bs-callout-warning
  - # ruleid: okay-alert-view-component-haml
  = render Pajamas::AlertComponent.new

-# ruleid: okay-alert-view-component-haml
= render Pajamas::AlertComponent.new(variant: :success,
  dismissible: false,
  -# ruleid: alert-iconless-haml-rb
  show_icon: false,
  alert_options: { class: 'hidden js-cluster-success gl-mt-5 gl-mb-5' }) do |c|
  - c.with_body do
    = s_("ClusterIntegration|Kubernetes cluster was successfully created.")

= render Pajamas::FooBar.new(variant: :success,
  -# ok: alert-iconless-haml-rb
  show_icon: false,
  something_else: true })
